Passa al contenuto principale

GET /contact/:uuid

Get a specific contact given a uuid.

Required Parameters

ParameterTypeDescription
uuidstringThe uuid of the contact

Optional Parameters

ParameterTypeDescription
include_field_typesbooleanWhen true, the response includes customFieldsMetadata with value, type and options for each custom field.

Example Request

curl -X GET "https://api.callbell.eu/v1/contacts/414a6d692bd645ed803f2e7ce360d4c8" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"

Response

ParameterTypeDescription
contactContactThe object representing the contact.

Example Response

response.json
{
"contact": [
{
"uuid": "414a6d692bd645ed803f2e7ce360d4c8",
"name": "John Doe",
"phoneNumber": "+123 456 789",
"avatarUrl": null,
"createdAt": "2020-11-13T21:08:53Z",
"source": "whatsapp",
"href": "https://dash.callbell.eu/contacts/414a6d692bd645ed803f2e7ce360d4c8",
"conversationHref": "https://dash.callbell.eu/chat/f3670b13446b412796238b1cd78899f9",
"tags": ["sales", "lead"],
"assignedUser": null,
"customFields": {
"Address": "Oxford Street 123",
"Billing Address": "Oxford Street 123",
"VAT": "ABC123DCE456"
}
}
]
}

Example Response (with include_field_types=true)

response.json
{
"contact": [
{
"uuid": "414a6d692bd645ed803f2e7ce360d4c8",
"name": "John Doe",
"customFields": {
"Address": "Oxford Street 123",
"Birth Date": "1990-05-15",
"Features": "[\"Dark Mode\", \"Notifications\"]"
},
"customFieldsMetadata": {
"Address": { "value": "Oxford Street 123", "type": "text" },
"Birth Date": { "value": "1990-05-15", "type": "date" },
"Features": { "value": ["Dark Mode", "Notifications"], "type": "checkbox", "options": ["Dark Mode", "Notifications", "Analytics"] }
}
}
]
}